Subject: [netatalk-admins] Broken pwdb

From: Tony Grant <[email-masked]>
Date: Mon, 15 Nov 1999 15:42:49 +0100

Hello again,

Here I am on my work server which has decided to stop working today

>Nov 15 16:36:40 nexus6 afpd[4870]: ASIP session:548(2) from 192.168.0.21:2049(4)
>Nov 15 16:36:40 nexus6 pam[4870]: unable to dlopen(/lib/security/pam_pwdb.so)
>Nov 15 16:36:40 nexus6 pam[4870]: [dlerror: /lib/libnsl.so.1: undefined symbol: authdes_create]
>Nov 15 16:36:40 nexus6 pam[4870]: adding faulty module: /lib/security/pam_pwdb.so
>Nov 15 16:36:40 nexus6 afpd[515]: server_child[1] 4870 done

This is  netatalk-1.4b2+asun2.0a18.2 on RedHat 5.1, kernel 2.0.36

I stopped the server plugged in an UPS and fired it back up again. Then
I installed the UPS software which required glibc and ksh. I am
supposing that installing glibc broke some parts of pam???

TIA

Tony Grant